package com.simuwang.base.common.util;

import cn.hutool.core.util.StrUtil;

import java.text.SimpleDateFormat;
import java.util.Arrays;
import java.util.List;

public class StringUtil {

    private static final List<String> DATE_FORMATS = Arrays.asList("yyyy-MM-dd", "yyyy/MM/dd", "yyyyMMdd");

    public static String retainChineseCharacters(String value) {
        // 正则表达式匹配中文字符
        String regex = "[^\\u4e00-\\u9fa5]";
        // 使用空字符串替换所有非中文字符
        return value.replaceAll(regex, "");
    }

    public static boolean isValidDate(String dateString) {
        if (StrUtil.isBlank(dateString)) {
            return false;
        }
        dateString = dateString.replaceAll("年", "-").replaceAll("月", "-");
        for (String format : DATE_FORMATS) {
            SimpleDateFormat sdf = new SimpleDateFormat(format);
            // 设置严格模式
            sdf.setLenient(false);
            try {
                sdf.parse(dateString);
                return true;
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
        return false;
    }


}
